> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update container

> Update the configuration of an existing container.



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml patch /cloud/v1/caas/{project_id}/{region_id}/containers/{container_name}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/caas/{project_id}/{region_id}/containers/{container_name}:
    patch:
      tags:
        - Container as a Service
      summary: Update container
      description: Update the configuration of an existing container.
      operationId: ContainerHandler.patch
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project id
          schema:
            description: Project id
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region id
          schema:
            description: Region id
            example: 1
            examples:
              - 1
            title: Region Id
            type: integer
        - in: path
          name: container_name
          required: true
          description: Container name
          schema:
            description: Container name
            example: my-container
            examples:
              - my-container
            pattern: ^[a-zA-Z0-9][a-zA-Z0-9.-]+[a-zA-Z0-9]$
            title: Container Name
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ContainerPatchSerializer'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskIDsSerializer'
components:
  schemas:
    ContainerPatchSerializer:
      properties:
        commands:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Container's commands
          examples:
            - python3 app.py -m test
          title: Commands
        description:
          anyOf:
            - maxLength: 255
              type: string
            - type: 'null'
          default: null
          description: Container description
          examples:
            - My first container
          title: Description
        envs:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          default: null
          description: Container environment variables
          examples:
            - ENVIRONMENT_VARIABLE: value 2
              ENV_VAR: value 1
          title: Envs
        flavor:
          anyOf:
            - pattern: ^[0-9]{0,12}mCPU-[0-9]{0,12}M[i]?B$
              type: string
            - type: 'null'
          default: null
          description: Container flavor
          examples:
            - 250mCPU-512MiB
          title: Flavor
        image:
          anyOf:
            - maxLength: 230
              type: string
            - type: 'null'
          default: null
          description: Container image
          examples:
            - nginx:latest
          title: Image
        is_api_key_auth:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          description: >-
            Enable/Disable api key authentication. Enable api key is temporarily
            disabled. As a result, using CaaS with authorization is currently
            not supported.
          examples:
            - false
          title: Is Api Key Auth
        is_disabled:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          description: Set to true if container is disabled
          examples:
            - false
          title: Is Disabled
        listening_port:
          anyOf:
            - maximum: 65535
              minimum: 1
              type: integer
            - type: 'null'
          default: null
          description: Container listening port
          examples:
            - 80
          title: Listening Port
        logging:
          anyOf:
            - $ref: '#/components/schemas/LoggingSerializer'
            - type: 'null'
          default: null
          description: Logging configuration
          examples:
            - destination_region_id: 1
              enabled: true
              retention_policy:
                period: 45
              topic_name: my-log-name
            - enabled: false
        pull_secret:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Image pull secret
          examples:
            - my-secret
          title: Pull Secret
        scale:
          anyOf:
            - $ref: '#/components/schemas/ScaleSerializer'
            - type: 'null'
          default: null
          description: Container autoscaling
          examples:
            - max: 2
              min: 1
        timeout:
          anyOf:
            - maximum: 180
              minimum: 0
              type: integer
            - type: 'null'
          default: null
          description: Container timeout in seconds
          examples:
            - 5
          title: Timeout
      title: ContainerPatchSerializer
      type: object
    TaskIDsSerializer:
      properties:
        tasks:
          description: >-
            List of task IDs representing asynchronous operations. Use these IDs
            to monitor operation progress:

            - `GET /v1/tasks/{task_id}` - Check individual task status and
            details

            Poll task status until completion (`FINISHED`/`ERROR`) before
            proceeding with dependent operations.
          example:
            - d478ae29-dedc-4869-82f0-96104425f565
          examples:
            - - d478ae29-dedc-4869-82f0-96104425f565
          items:
            type: string
          title: Tasks
          type: array
      required:
        - tasks
      title: TaskIDsSerializer
      type: object
    LoggingSerializer:
      properties:
        destination_region_id:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          description: Destination region id to which the logs will be written
          examples:
            - 1
          title: Destination Region Id
        enabled:
          default: false
          description: Enable/disable forwarding logs to LaaS
          example: true
          examples:
            - true
            - false
          title: Enabled
          type: boolean
        retention_policy:
          anyOf:
            - $ref: '#/components/schemas/LaasIndexRetentionPolicyPydanticSerializer'
            - type: 'null'
          default: null
          description: The logs retention policy
          examples:
            - period: 45
        topic_name:
          anyOf:
            - maxLength: 223
              minLength: 1
              pattern: >-
                ^[a-z0-9](?:[-a-z0-9]*[a-z0-9])?(?:\.[a-z0-9](?:[-a-z0-9]*[a-z0-9])*)*$
              type: string
            - type: 'null'
          default: null
          description: The topic name to which the logs will be written
          examples:
            - my-log-name
          title: Topic Name
      title: LoggingSerializer
      type: object
    ScaleSerializer:
      properties:
        cooldown_period:
          anyOf:
            - maximum: 3600
              minimum: 1
              type: integer
            - type: 'null'
          default: 60
          description: Cooldown period in seconds
          title: Cooldown Period
        max:
          description: Maximum number of instances
          maximum: 25
          minimum: 1
          title: Max
          type: integer
        min:
          description: Minimum number of instances
          maximum: 25
          minimum: 0
          title: Min
          type: integer
        triggers:
          anyOf:
            - $ref: '#/components/schemas/ScaleTriggersSerializer'
            - type: 'null'
          default: null
          description: Scale triggers configuration
      required:
        - min
        - max
      title: ScaleSerializer
      type: object
    LaasIndexRetentionPolicyPydanticSerializer:
      properties:
        period:
          anyOf:
            - exclusiveMinimum: 0
              maximum: 1825
              type: integer
            - type: 'null'
          description: Duration of days for which logs must be kept.
          examples:
            - 45
          title: Period
      required:
        - period
      title: LaasIndexRetentionPolicyPydanticSerializer
      type: object
    ScaleTriggersSerializer:
      properties:
        cpu:
          anyOf:
            - $ref: '#/components/schemas/CpuTriggerSerializer'
            - type: 'null'
          default: null
          description: CPU trigger configuration
        http:
          anyOf:
            - $ref: '#/components/schemas/HttpTriggerSerializer'
            - type: 'null'
          default: null
          description: HTTP trigger configuration
        memory:
          anyOf:
            - $ref: '#/components/schemas/MemoryTriggerSerializer'
            - type: 'null'
          default: null
          description: Memory trigger configuration
      title: ScaleTriggersSerializer
      type: object
    CpuTriggerSerializer:
      properties:
        threshold:
          description: CPU usage percentage
          maximum: 99
          minimum: 1
          title: Threshold
          type: integer
      required:
        - threshold
      title: CpuTriggerSerializer
      type: object
    HttpTriggerSerializer:
      properties:
        rate:
          description: HTTP requests rate
          maximum: 1000
          minimum: 1
          title: Rate
          type: integer
        window:
          description: Time window in seconds
          maximum: 3600
          minimum: 1
          title: Window
          type: integer
      required:
        - rate
        - window
      title: HttpTriggerSerializer
      type: object
    MemoryTriggerSerializer:
      properties:
        threshold:
          description: Memory usage percentage
          maximum: 99
          minimum: 1
          title: Threshold
          type: integer
      required:
        - threshold
      title: MemoryTriggerSerializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````